<script type="text/javascript">
	function moveWindow (){window.location.hash="showorder";}
</script>

<?php

	/*
	 * Addon tvsshop
	 * @author wandel[at]thavis[dot]com Michael Wandel
	 * @author <a href="http://www.thavis.com">www.thavis.com</a>
	 * @package redaxo4
	 * @version $Id: index.inc.php,v 1.0 2010/07/16 12:00:00 kills Exp $
	 */

	$art_table		= $table_pre . "_articles";
	$cat_table		= $table_pre . "_categories";
	$orders_table	= $table_pre . "_orders";
	$thispage		= "tvsshop";
	$thissubpage	= "order";
	$cat_title		= rex_post('cat_title', 'string', '');
	$mode			= rex_post('mode', 'string', '');

	if ($func == "delete") {
		$sql = new rex_sql();
		$sql->setQuery("DELETE FROM " . $orders_table . " WHERE id = " . rex_get('id', 'int', -1));
	}
	elseif ($func == "status") {
		$sql = new rex_sql();
		$sql->setQuery("UPDATE " . $orders_table . " SET status = NOT status WHERE id = " . rex_get('id', 'int', -1));
	}
	elseif ($func == "add" || $func == "edit") {
		echo "<script type=\"text/javascript\">";
		echo "window.onload = function() {";
		echo "	moveWindow();";
		echo "}";
		echo "</script>";
	}


?>

<div class="rex-addon-output-v2">
	<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
	<table summary="orders" class="rex-table" id="rex-articles">
		<caption>Liste der Bestellungen</caption>
		<colgroup>
			<col width="30" />
			<col width="30" />
			<!-- <col width="100" /> -->
			<col width="*" />
			<col width="140" />
			<col width="60" />
			<col width="60" />
		</colgroup>
		<thead>
			<tr>
				<th>&nbsp;</th>
				<th>ID</th>
				<!-- <th>Kunde</th> -->
				<th>Bestellung</th>
				<th align="center">Datum</th>
				<th colspan="2">Funktion / Status</th>
			</tr>
		</thead>
		<tbody>
<?php

	$sql = new rex_sql();
	$sql->setQuery("SELECT * FROM " . $orders_table . " ORDER BY create_date DESC");

	if ($sql->getRows() > 0 )
	{
		$baseURL = 'index.php?page='.$thispage.'&amp;subpage='.$thissubpage.'&amp;func=';
		$myIniFile	= $REX['INCLUDE_PATH'] . "/addons/" . $thispage . "/" . $thispage . ".ini";
		$settings	= parse_ini_file($myIniFile);
		$shopname	= $settings['Shopname'];

		for ($i = 1; $i <= $sql->getRows(); $i++) {
?>
			<tr>
				<td class="rex-icon"><a class="rex-i-element rex-i-article" href="<?php print $baseURL; ?>edit&amp;id=<?php echo $sql->getValue('id'); ?>"><span class="rex-i-element-text">Editieren</span></a></td>
				<td><?php echo $sql->getValue('id'); ?></td>
				<!--  <td><a href="<?php print $baseURL; ?>edit&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo htmlspecialchars($sql->getValue('customer')); ?></a></td> -->
				<?php
					$ordertext = htmlspecialchars($sql->getValue('ordertext'));
					$ordertext = str_replace($shopname,"",$ordertext);
					$ordertext = str_replace("-","",$ordertext);
					$ordertext = substr($ordertext,1,100);
				?>
				<td><a href="<?php print $baseURL; ?>edit&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $ordertext; ?></a></td>
				<td align="center"><?php echo date("d.m.Y H:i:s", $sql->getValue('create_date')); ?></td>
				<td><a href="<?php print $baseURL; ?>delete&amp;id=<?php echo $sql->getValue('id'); ?>" onclick="return confirm('Sicher löschen?');">löschen</a></td>
<?php
				$status_description = ($sql->getValue('status') == 1) ? 'erledigt' : 'offen';
				$status_classname = ($sql->getValue('status') == 1) ? 'rex-online' : 'rex-offline';
?>
				<td><a class="<?php echo $status_classname; ?>" href="<?php print $baseURL; ?>status&amp;id=<?php echo $sql->getValue('id'); ?>"><?php echo $status_description; ?></a></td>
			</tr>
<?php
			$sql->next();
		}
	}
	else
	{
?>
		<tr>
			<td colspan="6" align="center">
				<p>Es sind noch keine Bestellung vorhanden.</p>
			</td>
		</tr>
<?php
	}
?>
		</tbody>
	</table>
	</form>
</div>

	<br />

<?php

	// Bestellung anzeigen
	if ($func == "add" || $func == "edit")
	{
		$id				= rex_get('id', 'int', 0);
		$order_customer	= "";

		if ($func == "edit" && $id > 0)
		{
			$sql = new rex_sql();
			$sql->setQuery("SELECT * FROM " . $orders_table . " WHERE id = " . $id);
			if ($sql->getRows() > 0 )
			{
				$order_customer = $sql->getValue('customer');
				$order_ordertext = $sql->getValue('ordertext');
			}
		}
		echo "<h2 id=\"showorder\">Bestellung:</h2>";
?>

	<br />

	<div class="rex-addon-output">
		<h2 class="rex-hl2">Bestellung</h2>

		<div id="rex-addon-editmode" class="rex-form">
		<form action="index.php?page=<?php echo $thispage; ?>&amp;subpage=<?php echo $thissubpage; ?>" method="post">
			<fieldset class="rex-form-col-1">

				<input type="hidden" name="page" value="<?php echo $thispage; ?>" />
				<input type="hidden" name="subpage" value="<?php echo $thissubpage; ?>" />
				<input type="hidden" name="func" value="write" />
				<input type="hidden" name="mode" value="<?php echo htmlspecialchars($func); ?>" />
				<input type="hidden" name="id" value="<?php echo $id; ?>" />

				<div class="rex-form-wrapper">

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="cat_title">Kunde</label>
						<input id="cat_title" disabled name="cat_title" type="text" class="rex-form-text" value="<?php echo htmlspecialchars($order_customer); ?>" />
					</p>
				</div>

				<div class="rex-form-row">
					 <p class="rex-form-col-a rex-form-text">
						<label for="ordertext">Bestellung</label>
						<textarea name="ordertext" disabled style="height:300px;"><?php echo htmlspecialchars($order_ordertext); ?></textarea><br /><br />
					</p>
				</div>

				<div class="rex-form-row">
				</div>

				<div class="rex-form-row">
					<p class="rex-form-col-a rex-form-submit rex-form-submit-2">
						<input type="submit" name="cancel" class="rex-form-submit cancel" value="Abbrechen" />
					</p>
				</div>

			</div>
			</fieldset>
		</form>
		</div>
		
	</div>

<?php
	}

?>